<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.zblsTable.mapper.ZblsTableMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="zblsTableResultMap" type="org.springblade.modules.zblsTable.entity.ZblsTableEntity">
        <result column="id" property="id"/>
        <result column="zblx" property="zblx"/>
        <result column="zbbh" property="zbbh"/>
        <result column="zbyt" property="zbyt"/>
        <result column="zbzt" property="zbzt"/>
        <result column="lqrxm" property="lqrxm"/>
        <result column="xb" property="xb"/>
        <result column="sfzh" property="sfzh"/>
        <result column="jh" property="jh"/>
        <result column="lxdh" property="lxdh"/>
        <result column="lqsj" property="lqsj"/>
        <result column="ghsj" property="ghsj"/>
        <result column="sssj_bm" property="sssjBm"/>
        <result column="sssj_mc" property="sssjMc"/>
        <result column="ssfj_bm" property="ssfjBm"/>
        <result column="ssfj_mc" property="ssfjMc"/>
        <result column="sspcs_bm" property="sspcsBm"/>
        <result column="sspcs_mc" property="sspcsMc"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectZblsTablePage" resultMap="zblsTableResultMap">
        select * from zbls_table where is_deleted = 0
    </select>


</mapper>
